## CongService

CongService —

## Synopsis

    #define     CONG_SERVICE                    (obj)
    #define     CONG_SERVICE_CLASS              (klass)
    #define     IS_CONG_SERVICE                 (obj)
    CongService* cong_service_construct         (CongService *service,
                                                 const gchar *name,
                                                 const gchar *description,
                                                 const gchar *service_id);
    const gchar* cong_service_get_name          (CongService *service);
    const gchar* cong_service_get_description   (CongService *service);
    const gchar* cong_service_get_id            (CongService *service);
    gchar*      cong_service_get_gconf_namespace
                                                (CongService *service);
    gchar*      cong_service_get_gconf_key      (CongService *service,
                                                 const gchar *local_part);

## Description

## Details

### CONG_SERVICE()

    #define CONG_SERVICE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_SERVICE_TYPE, CongService)

`obj` : |

### CONG_SERVICE_CLASS()

    #define CONG_SERVICE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_SERVICE_TYPE, CongServiceClass)

`klass` : |

### IS_CONG_SERVICE()

    #define IS_CONG_SERVICE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_SERVICE_TYPE)

`obj` : |

### cong_service_construct ()

    CongService* cong_service_construct         (CongService *service,
                                                 const gchar *name,
                                                 const gchar *description,
                                                 const gchar *service_id);

TODO: Write me

`service` : |
`name` : |
`description` : |
`service_id` : |
Returns : |

### cong_service_get_name ()

    const gchar* cong_service_get_name          (CongService *service);

TODO: Write me

`service` : |
Returns : |

### cong_service_get_description ()

    const gchar* cong_service_get_description   (CongService *service);

TODO: Write me

`service` : |
Returns : |

### cong_service_get_id ()

    const gchar* cong_service_get_id            (CongService *service);

TODO: Write me

`service` : |
Returns : |

### cong_service_get_gconf_namespace ()

    gchar*      cong_service_get_gconf_namespace
                                                (CongService *service);

TODO: Write me

`service` : |
Returns : |

### cong_service_get_gconf_key ()

    gchar*      cong_service_get_gconf_key      (CongService *service,
                                                 const gchar *local_part);

Convert a "local" GConf key for this plugin to a GConf key with a full-path. e.g. converts "enable-fubar" to "/apps/conglomerate/plugins/docbook/enable-fubar" Caller must delete returned string.

`service` : |
`local_part` : |
Returns : |